import { createApp } from 'vue'
// @ts-ignore
import App from './App.vue'

// 创建应用实例
const app = createApp(App)

// 提供全局变量
// @ts-ignore
const ASSETSURL: string = import.meta.env.VITE_ASSETSURL
app.provide('ASSETSURL', ASSETSURL)

// 全局组件
// @ts-ignore
import uView from './uview-plus/index'
app.use(uView)

// 挂载应用
app.mount('#app')

export default app
